Summary: SAFT - Simple Asynchronous File Transfer
Name: sendfile
Version: 1.6
Release: 1
Source: ftp://ftp.uni-stuttgart.de/pub/unix/comm/sendfile.tar.gz
Copyright: GPL
Group: Networking/Daemons
URL: http://www.belwue.de/BelWue/software/saft/index.html
Packager: Thorsten Heit <heit@iwi.uni-sb.de>
Patch: sendfile.patch

%description
With sendfile you can transfer files asynchronously from any user A to
another user B without B being active in any way. In contrast to ftp one
does not have to log on to the recipient's account.

%prep
%setup -n sendfile-1.6
%patch -p1

%build
make config
make all
cd contrib/xhoppel
make

%install
make install
install -c -s -m 755 contrib/xhoppel/xhoppel /usr/X11R6/bin

%post
if ! grep saft /etc/services > /dev/null; then
	echo "saft		487/tcp		# simple asynchronous file transfer" >> /etc/services
fi
if ! grep saft /etc/inetd.conf > /dev/null; then
	echo "saft	stream	tcp	nowait	root	/usr/sbin/tcpd	/usr/sbin/sendfiled" >> /etc/inetd.conf
fi
killall -HUP inetd

if ! grep "/usr/bin/check_sendfile" /etc/profile > /dev/null; then
	echo "/usr/bin/check_sendfile" >> /etc/profile
fi

%postun
if [ "$1" = "0" ]; then
	grep -v saft /etc/services > /etc/services.new
	mv /etc/services.new /etc/services

	grep -v saft /etc/inetd.conf > /etc/inetd.conf.new
	mv /etc/inetd.conf.new /etc/inetd.conf
	killall -HUP inetd

	grep -v "/usr/bin/check_sendfile" /etc/profile > /etc/profile.new
	mv /etc/profile.new /etc/profile
fi

%files
/usr/bin/check_sendfile
/usr/bin/receive
/usr/bin/sendfile
/usr/bin/sendmsg
/usr/bin/sf_cleanup
/usr/bin/utf7decode
/usr/bin/utf7encode
/usr/man/man1/receive.1
/usr/man/man1/sendfile.1
/usr/man/man1/sendmsg.1
/usr/sbin/sendfiled
/var/spool/sendfile
%config /etc/nosendfile
%config /etc/sendfile.cf
%doc doc/[A-Z]* doc/do* doc/f* doc/in*

